{% load planner_common %}
{# TODO: Except that this uses plain css instead of bootstrap, it's the same as volunteers search_and_filter.html. We should DRY this at some point #}
<form method="get" id="application_list_filter_form">
  <div style="display: flex;
              gap: 30px;
              align-items: center;
              flex-wrap: wrap">
    <div class="search-box" style="flex-basis: 500px;">
      <input type="text"
             name="search"
             value="{{ search }}"
             id="search"
             class="search{% if search %} hasValue{% endif %}"
             onInput="this.classList.toggle('hasValue', this.value)">
      <button type="submit" id="search_button" class="button button-primary">
        <i class="fas fa-search"></i>
      </button>
      <button alt="clear search"
              type="reset"
              onclick="document.getElementById('search').value = ''; this.form.submit()">
        {% inline_svg "vendor/material-icons/close.svg" %}
      </button>
    </div>
    <select id="position-filter"
            class="dropdown filter"
            name="position"
            onchange="this.form.submit()">
      <option value="">All Positions</option>
      {% for position in positions_without_group %}
        <option value="{{ position.key }}"
                {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
      {% endfor %}
      {% for group_label, positions in positions_with_group.items %}
        <optgroup label="{{ group_label }}">
          {% for position in positions %}
            <option value="{{ position.key }}"
                    {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
          {% endfor %}
        </optgroup>
      {% endfor %}
    </select>
    <div class="switch">
      <input type="checkbox"
             id="only_ready_to_close"
             name="only_ready_to_close"
             {% if only_ready_to_close %}checked{% endif %}
             onchange="this.form.submit()">
      <label for="only_ready_to_close">Ready to close</label>
    </div>
    <input hidden name="sort" value="{{ sort_filter }}" />
  </div>
</form>
